#
# spec file for package otrs (Version 2.1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apache2 apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs ed expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           otrs
Version:        2.1.3
Release:        15.1
License:        GPL v2 or later
Group:          Productivity/Networking/Email/Utilities
Url:            http://otrs.org/
AutoReqProv:    on
Requires:       apache2 apache2-mod_perl perl perl-DBI perl-GD perl-GDGraph perl-GDTextUtil perl-Digest-MD5 perl-Msql-Mysql-modules perl-Net-DNS perl-PDF-API2 mysql mysql-client mysql-shared fetchmail procmail
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/usermod /bin/sed /bin/grep /bin/mv /bin/mkdir /bin/cat /bin/hostname /bin/mktemp /usr/bin/getent /usr/bin/basename apache2
Source:         ftp://ftp.otrs.org/pub/otrs/%{name}-%{version}.tar.bz2
Source1:        sysconfig.otrs
Source2:        otrs.README.en
Source3:        otrs.README.de
Patch:          otrs-init.diff
Patch1:         otrs-OSA-2008-01.diff
Summary:        Open Ticket Request System
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define otrsdoc_dir_files CHANGES COPYING CREDITS INSTALL README* TODO UPGRADING doc
%if %ul_version >= 1
	%define	VENDOR UnitedLinux
%else
%if "%_vendor" == "suse"
	%define	VENDOR SUSE
%else
	%define	VENDOR %_vendor
%endif
%endif

%description
OTRS is an open source ticket request system with many features to
manage customer telephone calls and e-mails. It is distributed under
the GNU General Public License (GPL) and tested on Linux, Solaris, AIX,
FreeBSD, and Mac OS 10.x. If you receive many e-mails and want to
answer them with a team of agents, OTRS is a tool that can help.

Feature List:

Web Interface:

- Agent Web interface for viewing and working on all customer
   requests

- Admin Web interface for changing system settings

- Customer Web interface for viewing and sending information to the
   agents

- Web interface with themes support

- Multilanguage support (Bulgarian, Dutch, English, Finnish, French,
   German, and Spanish)

- Independent customization of the output template's (dtl) release

- Web interface with attachment support

- Easy and logical use

E-Mail Interface:

- MIME support (attachments)

- PGP support

- SMIME support

- Dispatch of incoming e-mail via e-mail address or x-header

- Autoresponders for customers by incoming e-mail (per queue)

- E-mail notification to the agent by new tickets, follow-ups, or
   lock time-outs

Ticket:

- Custom queue view and queue view of all requests

- Ticket locking

- Ticket replies (standard responses)

- Ticket autoresponders per queue

- Ticket history, evolution of ticket status, and actions taken on
   ticket

- Ability to add notes (with different note types) to a ticket

- Ticket zoom feature

- Tickets can be bounced or forwarded to other e-mail addresses

- Ticket can be moved to a different queue (this is helpful if
   e-mails are for a specific subject)

- Ticket priority

- Ticket time accounting

- Content full text search

System:

- Creation and configuration of user accounts and groups

- Creation of standard responses

- Signature configuration per queue

- Salutation configuration per queue

- E-mail notification of administrators

- E-mail notification sent to problem reporter (by create, locked,
   deleted, moved, and closed)

- Submitting update-info (via e-mail or web interface)

- Deadlines for trouble tickets

- ASP (active service providing) support

- TicketHook freely setable like 'Call#', 'MyTicket#', 'Request#' or
   'Ticket#'

- Ticket number format freely setable

- Different levels of permissions and access rights

- XML layer to support different SQL databases (like MySQL,
   PostgreSQL, Oracle, and DB2)

- User authentication against database or ldap directory

- Easy development of custom add-ons (OTRS API)

- Easy creation of different front-ends (for example: X Window
   System, console)

- A fast and useful application



Authors:
--------
    Carsten Gross <carsten at siski.de>
    Christian Schoepplein <cs at otrs.com>
    Franz Breu <breu.franz at bogen.net>
    Fred van Dijk <fvandijk at marklin.nl>
    Lars Mller <lmuelle at samba.org>
    Nicolas Goralski <ngoralski at oceanet-technology.com>
    Richard Kammermayer <rk at otrs.com>
    Stefan Rother <sr at otrs.com>
    Thomas Raith <tr at otrs.com>
    Vladimir Gerdjikov <gerdjikov at gerdjikovs.net>
    Martin Edenhofer <me at otrs.com>

%debug_package
%prep
%setup
%patch -p1
%patch1 -p0
find -name ".cvsignore" -type f | xargs rm -fv

%build
/usr/sbin/useradd -r -d /opt/otrs -s /bin/false -c "OTRS System User" -g nogroup otrs 2>/dev/null || :
# copy config file
cp -a Kernel/Config.pm.dist Kernel/Config.pm
cd Kernel/Config/
for file in *.dist
do
	cp -a $file `basename $file .dist`
done
cd ../../
# copy all crontab dist files
for file in var/cron/*.dist
do
mv $file var/cron/`basename $file .dist`
done
rm INSTALL.RedHat
mv INSTALL.SuSE INSTALL

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
export DESTROOT="/opt/otrs/"
mkdir -p \
	${RPM_BUILD_ROOT}/etc/init.d \
	${RPM_BUILD_ROOT}/etc/apache2/conf.d \
	${RPM_BUILD_ROOT}/etc/sysconfig \
	${RPM_BUILD_ROOT}/${DESTROOT}/ \
	${RPM_BUILD_ROOT}/%{_sbindir} \
	${RPM_BUILD_ROOT}/var/adm/fillup-templates
cp -a . ${RPM_BUILD_ROOT}/${DESTROOT}
for configFile in .fetchmailrc .mailfilter .procmailrc; do
	touch ${RPM_BUILD_ROOT}/${DESTROOT}/${configFile}
done
# install README
for lang in en de; do
	cp -p "${RPM_SOURCE_DIR}/otrs.README.${lang}" "README.%VENDOR.${lang}"
done
# remove files that are part of the docdir
pushd ${RPM_BUILD_ROOT}/${DESTROOT}
rm -rf %{otrsdoc_dir_files}
popd
# install sysconfig file and init script
install -m 644 ${RPM_SOURCE_DIR}/sysconfig.otrs $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/
install -m 755 scripts/suse-rcotrs ${RPM_BUILD_ROOT}/etc/init.d/otrs
ln -fs ../../etc/init.d/otrs ${RPM_BUILD_ROOT}/%{_sbindir}/rcotrs
# set permission
${RPM_BUILD_ROOT}/opt/otrs/bin/SetPermissions.sh ${RPM_BUILD_ROOT}/opt/otrs otrs wwwrun nogroup www
chgrp -R root ${RPM_BUILD_ROOT}/opt/otrs
chgrp -R www ${RPM_BUILD_ROOT}/opt/otrs/var/log
%if %suse_version > 930
otrs_apache_conf="scripts/apache2-httpd-new.include.conf"
%else
otrs_apache_conf="scripts/apache2-httpd.include.conf"
%endif
cp -p ${otrs_apache_conf} ${RPM_BUILD_ROOT}/etc/apache2/conf.d/otrs.conf

%preun
%stop_on_removal otrs
:

%pre
# Are we in update mode?
if [ ${1:-0} -gt 1 ]; then
	# Set new OTRS homedir and initial group for old installations
	getent passwd otrs | grep /opt/OpenTRS >/dev/null && \
		usermod -d /opt/otrs -g nogroup otrs
fi
/usr/sbin/useradd -r -d /opt/otrs -s /bin/false -c "OTRS System User" -g nogroup otrs 2>/dev/null || :

%post
# fill otrs sysconfig file
%{fillup_and_insserv otrs}
# Function to add content to a sysconfig variable
function modifySysconfigContent()
{
	SYSCONFIG_FILE=$1; REPLACE_CMD=$2
	TMP_FILE_BASENAME=$( basename "${SYSCONFIG_FILE}")
	test -d /dev/shm && \
		TMP_BASE_DIR="/dev/shm" || \
		TMP_BASE_DIR="/var/tmp"
	TMPFILE=$( mktemp "${TMP_BASE_DIR}/${TMP_FILE_BASENAME}-otrs-rpmpost-sysconfig.XXXXXX")
	if [ $? -ne 0 ]; then
		echo "Can't create temp file, ${TMPFILE}, to execute 'sed \"${REPLACE_CMD}\" \"${SYSCONFIG_FILE}\"'."
		return
	fi
	chmod --reference="${SYSCONFIG_FILE}" "${TMPFILE}"
	eval "sed ${REPLACE_CMD} \"${SYSCONFIG_FILE}\"" >"${TMPFILE}" && \
		mv "${TMPFILE}" "${SYSCONFIG_FILE}" || \
		echo "Can't execute 'sed \"${REPLACE_CMD}\" \"${SYSCONFIG_FILE}\"'."
}
# Return a sed command to replace or add a value
function createSedCmd2modifyValue()
{
	SYSCONFIG_FILE=$1; VARIABLE_NAME=$2; NEW_SETTING=$3; MODE=$4
	CURR_SETTING=""
	. "${SYSCONFIG_FILE}"
	case "${MODE}" in
		replace)
			test "${!VARIABLE_NAME}" = "${NEW_SETTING}" && return
			;;
		*|add)
			for value in ${!VARIABLE_NAME}; do
				test "${value}" = "${NEW_SETTING}" && return
				CURR_SETTING="${CURR_SETTING}${value} "
			done
			;;
	esac
	echo -en "-e \"s+^${VARIABLE_NAME}.*$+${VARIABLE_NAME}=\\\"${CURR_SETTING}${NEW_SETTING}\\\"+\""
}
# Remove /opt/otrs/scripts/apache2-httpd.include.conf and add
# /opt/otrs/scripts/apache2-httpd{,-new}.include.conf to
# APACHE_CONF_INCLUDE_FILES and add perl to APACHE_MODULES.
SYSCONFIG_FILE="/etc/sysconfig/apache2"
if test -e ${SYSCONFIG_FILE}; then
	VARIABLE_NAME="APACHE_CONF_INCLUDE_FILES"
%if %suse_version > 930
	OLD_SETTING="/opt/otrs/scripts/apache2-httpd.include.conf"
	/usr/sbin/sysconf_addword -r "${SYSCONFIG_FILE}" "${VARIABLE_NAME}" "${OLD_SETTING}" >/dev/null
	/usr/sbin/a2enmod perl >/dev/null
%else
	VARIABLE_NAME="APACHE_MODULES"
	NEW_SETTING="perl"
	SED_CMDS=$( createSedCmd2modifyValue "${SYSCONFIG_FILE}" "${VARIABLE_NAME}" "${NEW_SETTING}" add)
	test "${SED_CMDS}" && \
		modifySysconfigContent "${SYSCONFIG_FILE}" "${SED_CMDS}"
%endif
fi
# if rpm is not in update mode
if ! [ ${FIRST_ARG:-0} -gt 1 ]; then
	if [ -z "${YAST_IS_RUNNING}" ]; then
		for lang in LC_ALL LC_MESSAGE LANG; do
			test "${!lang}" && break
		done
		echo
		case "${!lang}" in
			de_*)
				echo "Hinweise zur Erstkonfiguration von OTRS finden Sie in"
				echo "/usr/share/doc/packages/otrs/README.%{VENDOR}.de"
				;;
			*)
				echo "About the initial setup of OTRS, please read"
				echo "/usr/share/doc/packages/otrs/README.%{VENDOR}.en"
				;;
		esac
		echo
	fi
fi
exit 0

%postun
%restart_on_update otrs
%insserv_cleanup

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%dir /etc/apache2
%dir /etc/apache2/conf.d
%config /etc/apache2/conf.d/otrs.conf
%config(noreplace) /opt/otrs/Kernel/Config.pm
/opt/otrs/Kernel/Config.pm.dist
/opt/otrs/Kernel/Config/Files
%config(noreplace) /opt/otrs/Kernel/Config/GenericAgent.pm
/opt/otrs/Kernel/Config/GenericAgent.pm.*
%config(noreplace) %attr(660,otrs,www) /opt/otrs/var/log/TicketCounter.log
%ghost %config(noreplace) /opt/otrs/.procmailrc
%ghost %config(noreplace) /opt/otrs/.fetchmailrc
%ghost %config(noreplace) /opt/otrs/.mailfilter
/opt/otrs/.fetchmailrc.dist
/opt/otrs/.mailfilter.dist
/opt/otrs/.procmailrc.dist
%config(noreplace) /opt/otrs/Kernel/Output/HTML/Standard/*.dtl
%config(noreplace) /opt/otrs/Kernel/Output/HTML/Lite/*.dtl
%config(noreplace) /opt/otrs/Kernel/Language/*.pm
%config(noreplace) /opt/otrs/var/cron/*
/etc/init.d/otrs
/usr/sbin/rcotrs
%dir /opt/otrs
%dir /opt/otrs/Kernel
%dir /opt/otrs/Kernel/Config
%dir /opt/otrs/Kernel/Output
%dir /opt/otrs/Kernel/Output/HTML
%dir /opt/otrs/Kernel/Output/HTML/Lite
%dir /opt/otrs/Kernel/Output/HTML/Standard
%dir /opt/otrs/Kernel/Language
%dir /opt/otrs/var
%dir /opt/otrs/var/cron
%dir %attr(770,otrs,www) /opt/otrs/var/log
%dir /opt/otrs/var/pics
/opt/otrs/ARCHIVE
/opt/otrs/RELEASE
/opt/otrs/Kernel/Config/Defaults.pm
/opt/otrs/Kernel/Language.pm
/opt/otrs/Kernel/Modules/
/opt/otrs/Kernel/Output/HTML/*.pm
/opt/otrs/Kernel/System/
/opt/otrs/bin/
/opt/otrs/scripts/
/opt/otrs/var/logo-otrs.png
/opt/otrs/var/article/
/opt/otrs/var/httpd/
/opt/otrs/var/sessions/
/opt/otrs/var/spool/
/opt/otrs/var/tmp/
/opt/otrs/var/pics/stats/
/opt/otrs/Kernel/cpan-lib*
%doc %{otrsdoc_dir_files}
%{_var}/adm/fillup-templates/sysconfig.otrs

%changelog
* Mon Mar 31 2008 - lmuelle@suse.de
- SOAP authentications allows to get remote access without valid SOAP
  user; OSA-2008-01; CVE-2008-1515; [bnc#372382].
* Tue Nov 21 2006 - lmuelle@suse.de
- Update to 2.1.3.
  + removed not needed Reply-To of agent notifications
  + fixed missing \n on csv output of customer ticket search
  + fixed not working ticket free time option in phone ticket
  + added missing access permission pre check to show ticket menu items or not
  + fixed bug - not shown empty "-" selection of new onwer if on move if
  Ticket::ChangeOwnerToEveryone is set
  + update of Dansk language file, thanks to Mads N. Vestergaard
  + update of Spanish language file, thanks to Jorge Becerra
  + added AuthModule::HTTPBasicAuth::Replace and
  Customer::AuthModule::HTTPBasicAuth::Replace config option to HTTPBasicAuth
  modules to strip e. g. domains like example_domain\user from login down to
  user
  + added AuthModule::LDAP::UserLowerCase to allways convert usernames into
  lower case letters
  + added set auto time zone of agent/customer based on java script offset
  feature on every login
  + fixed not working all owner/responsible selection in phone view
  + read out CustomerUserSearchListLimit correctly if LDAP customer backend is
  in use
  + fixed always shown responsible selection
  + removed not needed default free text fields from phone outbound
  + fixed agent can be customer follow up feature
  + added possible - selection for next state in phone view outbount
  + fixed LDAP problems "First bind failed! No password, did you mean noauth or
  anonymous ?"
  + fixed double agent notifications on ticket move to queue and also selected
  owner
* Wed Oct 18 2006 - lmuelle@suse.de
- Update to version 2.1.2.
  + switched to md5 check sum for password in user_preference table
  + fixed #1373 - RH RPM requires sendmail, but works with other MTAs
  + fixed double agent notifications on follow up if agent is
  owner and responible
  + fixed bug #1311 - Apostrophes are incorrectly displayed under
  IE 6 & IE7 but correctly displayed under Firefox 1.5.0.6  -=>
  moved from $Text{} to $JSText{} for text translations in Java Script parts
  to have a correct quoting
  + fixed not shown follow up feature in customer panel if ticket
  is closed
  + added missing customer print feature
  + fixed bug #1361 - Can't locate object method "ModGet" via
  package "Kernel::System::Config"
* Tue Oct 17 2006 - lmuelle@suse.de
- Update to version 2.1.1
  + fixed bug #1213 - some errors not logger by LDAP backends
  + fixed bug #1248 - Ticket Zoom - Article Thread - Color of auto
  responses should be yellow
  + fixed bug #1323 - 2.1 DBUpgrade issue with PostgreSQL - patch
  + fixed bug #1333 - No reset of escalation time after follow-up
  + fixed bug #1345 - Attached binary files uploaded and saved to
  the FS are corrupted.
  + add ticketfreetext-, ticketfreetime- and articlefreetext support
  to pdf output
  + improved stats export/import with an id-name wrapper
  + fixed bug #1353/1354 changed autoreponse text
  + add transparency to some images
  + fixed bug #1358 - Customer History > All customer tickets.
  returns an incorrect number of tickets
  + fixed bug #1293 - Can't use an undefined value as a HASH
  reference at /opt/otrs/bin/cgi-bin//../../Kernel/Modules/AgentTicketBulk.pm
  line 194
  + fixed bug #1356 - mssql driver bug - Stats module of OTRS 2.1
  beta 2 - "Cant use string ("0")".
  + fixed bug #1335 - removed "uninitialized value" warning in
  NavBarTicketWatcher.pm
  + fixed opm check do not install/upgrade packages if one file to
  install already exists in an other package
  + added "-a exportfile" feature to bin/opm.pl to export files
  of a package into a defined directory e. g. "-d /path/to/"
  + removed Re: from agent notification emails
  + added change to remove 4 not needed empty spaces after folding
  of email headers (sometimes 4 empty spaces in subject appear)
  + updated pdf-logo to ((otrs))
  + added DBUpdate-to-2.1.oracle.sql to get oracle databases up to
  date
  + fixed double sending of note notifications
  + fixed link to email and phone after adding a new customer user
  + added fix to removed leading and trailing spaces in search
  fields of object linking
  + moved Frontend::ImagePath variable
  (/otrs-web/images/Standard/) from .dtl files to config option
  + added examples how to use SOAP (bin/cgi-bin/rpc.pl and
  scripts/rpc-example.pl)
  + added mulit calendar / queue support - you can use different
  time zones in different queues and each agent can select the own time zone
  NOTE: table queue need to be modified - see scripts/DBUpdate-to-2.1.*.sql
  + fixed bug #739 - in the login you can type something behind the
  pass and it works / added password md5 support (required Crypt::PasswdMD5
  from CPAN or from Kernel/cpan-lib/ - via "cvs update -d")
  + fixed $Quote{""} bug in login page
  + fixed bug #1284 - removed mysql dependence in
  scripts/apache-perl-startup.pl and scripts/apache2-perl-startup.sql
  + fixed bug #1282 - setting up a postgresql database fails
  + added performance log feature in admin interface to monitor
  your system page load performance over different times (1h, 3h, 9h, 1d, 2d,
  3d) - its disabled per default
  + removed Re: in subject auto response emails
  + added PDF output support to AgentTicketPrint module
  + fixed bug in pdf module - redesiged Table() to fix a lot of
  infinite loops
  + fixed bug in pdf module - special control characters produces
  infinite loops
  + added ldap attribute to groups/roles sync feature, so its
  possible to use user attributes for permission handling
  + fixed bug #1283 - test for modules executed in cronjobs
  + added cmd option for bin/opm.pl to find package of file
  e. g. bin/opm.pl -a file -p Kernel/System/FileA.pm
  + added sleep in bin/PostMasterPOP3.pl after 10 (2 sec) and
  25 (3 sec) emails on one stream (protect server against overload)
  + added PDF output feature for stats module and ticket search results
  + updated to cpan MIME::Tools 5.420
  + changed ticket escalation method, escalation start will
  be reseted after every "new" customer message and after agent
  communication to customer
  + added new link object functions and db table link_object changes
  + added <OTRS_CUSTOMER_DATA_*> tags to auto responses
  + added support of mssql database server (experimental)
  + added new feature to sync ldap groups into otrs roles
  (see more in Kernel/Config/Defaults.pm under UserSyncLDAPGroupsDefination
  and UserSyncLDAPRolesDefination)
  + new stats framework implemented :-)
  + fixed bug #1258 - changed language description from Traditional Chinese
  to Simplified Chinese
  + fixed bug #1151 - Error when changing customer on ticket in
  + improved performance of ticket search mask (in cases with
  over 500 Agents and over 50 Groups) by adding GroupMemberInvolvedList()
  and modify GroupMemberList(), GroupGroupMemberList(), GroupRoleMemberList()
  and GroupUserRoleMemberList() at Kernel/System/Group.pm
  + fixed bug #1132 - Wrong display of escalation time
  + fixed bug #1151 - Error when changing customer on ticket in
  TicketStatusView
  + added ticket watcher feature, per default it's disabled
  + fixed bug #1240 - Tickets not shown in "New messages" if
  Auto Response "Reply" is active
  + fixed bug #1206 - When no RELEASE file is available, no
  product and version is displaied and strange messages apear in the
  apache error log;  using standard values in this case now
  + added public frontend module to serve local repository as
  remote repository (accessable via IP authentication)
  + fixed bug #1154 - Problem in displaying pending tickets
  in agent mailbox
  + improved postmaster follow up detection by scanning email
  body, attachment and/or raw email (all is disabled by default)
  + fixed bug #1023 - Comma in From field creates multiple emails
  in webform.pl
  + fixed IE problem with image-buttons
  involved files: AdminSysConfigEdit.dtl and AdminSysConfig.pm
  + fixed format bug in Package Manager - PackageView
  + moved to read any language files located under
  Kernel/Language/xx_*.pm at each request to have any translated words
  e. g. for navigation bar available (Kernel/Language/xx_Custom.pm is
  still used as latest source file)
  + added config option to show ticket title in main header
  of frontend (e. g. QueueView, ZoomView and Mailbox)
  + moved from "otrs" to "otrs-x.x.x" directory in
  tar.gz / tar.bz download format
  + added article free text attrubutes
  + moved from Kernel::Output::HTML::Generic to
  Kernel::Output::HTML::Layout - all sub modules localted under
  Kernel/Output/HTML/Layout*.pm will ne loaded automatically
  at runtime
  + improved ticket zoom to shown attachments with
  html title about attachment info (name, size, ...)
  + added use of current config values in admin sysconfig
  fulltext search
  + fixed some spelling mistakes for the English original in
  language templates and language files
  + added admin init (Kernel/Modules/AdminInit.pm) to init
  config files .xml->.pm after a new setup (after inital root login)
  + splited Kernel::Modules::AgentTicketPhone into
  two modules Kernel::Modules::AgentTicketPhone and
  Kernel::Modules::AgentTicketPhoneOutbound (phone calls for existing
  tickets) also templates are renamed!
  + cleanup for ticket event names (added compat mode):
  TicketCreate, TicketDelete, TicketTitleUpdate, TicketUnlockTimeoutUpdate,
  TicketEscalationStartUpdate, TicketQueueUpdate (MoveTicket),
  TicketCustomerUpdate (SetCustomerData), TicketFreeTextUpdate
  (TicketFreeTextSet), TicketFreeTimeUpdate (TicketFreeTimeSet),
  TicketPendingTimeUpdate (TicketPendingTimeSet), TicketLockUpdate (LockSet),
  TicketStateUpdate (StateSet), TicketOwnerUpdate (OwnerSet),
  TicketResponsibleUpdate, TicketPriorityUpdate (PrioritySet), HistoryAdd,
  HistoryDelete, TicketAccountTime, TicketMerge, ArticleCreate,
  ArticleFreeTextUpdate (ArticleFreeTextSet), ArticleUpdate, ArticleSend,
  ArticleBounce, ArticleAgentNotification, (SendAgentNotification),
  ArticleCustomerNotification (SendCustomerNotification), ArticleAutoResponse
  (SendAutoResponse), ArticleFlagSet
  + added own X-OTRS-FollowUp-* header if Queue, State, Priority,
  ...  should be changed with follow up emails (see: doc/X-OTRS-Headers.txt)
  + reworked "config options" and "interface" of _all_ agent
  ticket interfaces to get is clear
  + replaced ticket config option "Ticket::ForceUnlockAfterMove"
  with ticket event module "Ticket::EventModulePost###99-ForceUnlockOnMove"
  + replaced ticket config option "Ticket::ForceNewStateAfterLock"
  with ticket event module "Ticket::EventModulePost###99-ForceStateChangeOnLock"
  + added "responsible" ticket feature!
  (db update with scripts/DBUpdate-to-2.1.(mysql|postgres).sql)
  + added persian translation (incl. TextDirection support)
    - Thanks to Amir Shams Parsa!
  + added default ticket event module to reset ticket owner
  after move action (it's disable per default)
  + added default next state in ticket forward
  + added OTRS_Agent_* tags like OTRS_Agent_UserFirstname and
  OTRS_Agent_UserLastname for salutation and signature templates
  + added update and insert via admin sql box
  + 'removed old compat files' Kernel/Config/Files/Ticket.pm
  and Kernel/Config/Files/TicketPostMaster.pm
  + added 8 more ticket free text fields
  (db update with scripts/DBUpdate-to-2.1.(mysql|postgres).sql)
  + added SendNoNotification option for MoveTicket(),
  LockSet() and OwnerSet() in Kernel/System/Ticket.pm (used in
  GenericAgent to do some admin stuff).
  + added online repository access for bin/opm.pl
  + added Delete and Spam config option to
  Kernel/Config/Files/Ticket.xml for Ticket::Frontend::MenuModule
  + added column type check in xml database defination
  + added unit test system
  + improved admin view of session management
  + moved FAQ from framework to own application module
  (can be installed over opm online repository now)
  + moved otrs archive directory for download and in RPMs
  from otrs to otrs-x.x.x
  + added multi pre application module support, just
  define it like:
  $Self->{PreApplicationModule}->{AgentInfo} = 'Kernel::Modules::AgentInfo';
  + fixed bug 1132 - Wrong display of escalation time
  + added missing utf-8 encoding in agent and customer auth
  + added missing utf-8 encoding customer user backend
  + changed language description from Traditional Chinese to
  Simplified Chinese (bug #1258)
  + fixed bug 1151 - Error when changing customer on ticket in
  TicketStatusView
  + fixed bug #1240 - Tickets not shown in "New messages" if
  Auto Response "Reply" is active
  + fixed bug #1206 - When no RELEASE file is available, no
  product and version is displaied and strange messages apear in the
  apache error log;  using standard values in this case now
  + fixed bug #1154 - Problem in displaying pending tickets
  in agent mailbox
  + fixed bug #1023 - Comma in From field creates multiple emails
  in webform.pl
  + added SUSE 10.x RPM support
  + fixed bug #925 - Binary Attachments incorrectly utf-8
  encoded in ticket replies
  + fixed links to new phone/email ticket after a new
  customer is created via Kernel/Modules/AdminCustomerUser.pm
  + update of Portuguese language file  - Thanks to
  Manuel Menezes de Sequeira)
  + added Greek translation - Thanks to Stelios Maistros!
  + fixed bug #991 - changed $Data{} to $QData{} in Ticket.xml
  and Ticket.pm config files to solve problem when answering requests
  that contain HTML tags
  + updated Dutch language file - Thanks to Richard Hinkamp!
  + added Slovak translation
  + fixed/removed die in Kernel/System/AuthSession/FS.pm
    -=> GetSessionIDData() - not wanted to die if nn SessionID is given
  + added Danish translation - Thanks to Thorsten Rossner!
  + updated Norwegian translation - Thanks to Knut Haugen
  + fixed some spelling mistakes for the English original in
  language templates and language files
  + updated Brazilian Portuguese translation -Thanks to
  Fabricio Luiz Machado!
  + fixed missing translation after new ticket was created
  + added long month translation for calendar popup
  + changed Kernel/System/Spelling.pm to work with (a|i)spell
  on Windows systems
  + added <OTRS_TICKET_*> and <OTRS_CONFIG_*> support to
  auto respons templates
  + fixed/removed wrong config option
  "Ticket::Frontend::QueueSortDefault", added own config option for
  StatusView of tickets
  + fixed bug #1047 forward fails if " is in From
  + fixed ldap authentication if application charset is
  e. g. iso-8859-1 and not utf-8
  + fixed some spelling mistakes in
  Kernel/Config/Files/Ticket.xml and Kernel/Config/Files/Framework.xml
  + Added X-Spam-Level to config files to have the possibility
  to filter for this header with PostMasterFilter
  + fixed bug #1069 - Problem when the name of a GenericAgent
  job was updated
  + fixed PostMaster filter admin interface if wrong syntax
  regexp is used (don't save invalid regexp because not email can be
  received)
  + added bin/CheckSum.pl and also ARCHIVE file to include
  md5 sum archive of current distribution
  + improved PostMaster if no article can be created
  + fixed internal server error if in sysconfig search
  * is used
  + fixed "enter" submit bug in sysconfig (e. g. reset first
  item in the edit site)
  + fixed ArticleAttachmentIndex() - wrong index count in
  fs lookup - attachment icons sometimes not shown
  + added added missing class="button" in submit type="submit"
  of .dtl templates
  + fixed default note-type and default state-type in ticket
  pending mask
  + fixed stats/graph error message 'Can't call method "png"
  on an undefined value at ...'
  + fixed missing delete on time_accounting in
  Kernel/System/Ticket/Article.pm if article got deleted
  + improved die if xml is invalid in Kernel/System/XML.pm
  + added compat config option for compose answer to
  replace original sender with current customers email address
  + updated French language file, thanks to Yann Richard
  + fixed bug #1025 - ORA-01400: cannot insert NULL into ("OTRS"
  ."CUSTOMER_USER"."COMMENTS"
  + fixed bug #1018 - initial_insert.sql, oracle error ORA-01400:
  cannot insert NULL into
  + fixed std attachment feature (no attachment after
  additional fiel upload) in agent ticket compose
  + improved database Quote() for integer, also allow +|-
  in integer
  + fixed order of create attributes (TicketCreate(), TicketFreeTime(),
  TicketFreeTime(), ArticleCreate(), ...) on customer ticket creation
  + fixed bug #1010 - ORA-00972 Identifier is too long for oracle
  + fixed bug #1011 - ORA-01408: such column list already indexed,
  Oracle error
  + fixed wrong follow up notification (to all agents)
  via customer panel if ticket is already closed
  + updated Dutch language file, thanks to Richard Hinkamp
  + fixed not working -r option in scripts/backup.pl
  (-r == removed backups older then -r days)
  + remove leading and trailing spaces in ldap filter for
  agent and customer authentication
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - lmuelle@suse.de
- Update to 2.0.4; [#135006]; CVE-2005-3893, CVE-2005-3894, CVE-2005-3895.
* Wed Aug 31 2005 - lmuelle@suse.de
- Add german translation of the README.SUSE.
- Remove /opt/otrs/scripts/apache2-httpd.include.conf and install
  /opt/otrs/scripts/apache2-httpd-new.include.conf to
  /etc/apache2/conf.d/; bugs.otrs.org [#904].
- Change OTRS_USED_WEBSERVER_RCSCRIPT default value to rcapache2.
- Remove extra %%post code for Apache 1 sysconfig settings.
* Wed Aug 24 2005 - lmuelle@suse.de
- Update to 2.0.2.
* Mon Aug 01 2005 - cthiel@suse.de
- update to 2.0.1-01
* Fri Jul 22 2005 - lmuelle@suse.de
- Update to 2.0.0-beta6.
* Wed Dec 08 2004 - lmuelle@suse.de
- Replace all apache occurrences by apache2 and add information to the
  README.SUSE to add "perl" to APACHE_MODULES; [#48857].
* Mon Dec 06 2004 - lmuelle@suse.de
- Ensure to allow HTTP access to /otrs by default; [#48906].
- Use Apache 2 by default for OTRS_USED_WEBSERVER_RCSCRIPT; [#48904].
- Ensure %%preun returns with 0 even %%stop_on_removal otrs not; [#48858].
* Wed Oct 27 2004 - lmuelle@suse.de
- Update to version 1.3.2.
* Sat Sep 25 2004 - lmuelle@suse.de
- Update to version 1.3.1.
* Fri Jul 23 2004 - ro@suse.de
- do not send a mail on installation
* Wed Jul 14 2004 - lmuelle@suse.de
- Update to version 1.2.4.
- Add try-restart to the init script, stop_on_removal to preun and
  restart_on_udpate to postun.
* Mon Jun 14 2004 - ro@suse.de
- requires: replace mod_perl with apache2-mod_perl
* Fri Apr 02 2004 - lmuelle@suse.de
- update to version 1.2.3
* Tue Mar 16 2004 - lmuelle@suse.de
- fix to paragraph 6 of the README
* Fri Mar 05 2004 - lmuelle@suse.de
- update to version 1.2.2
- remove userdel from PreReq
* Thu Sep 18 2003 - poeml@suse.de
- set permissions of files that need write access by both "otrs"
  user and "apache" user to group "www" [#29824]
- add a README, and send the mail to root only on first
  installation [#27211]
* Mon Sep 01 2003 - mmj@suse.de
- Add sysconfig metadata [#28913]
* Sun Jun 22 2003 - lmuelle@suse.de
- finaly remove userdel in %%postun
- add sanity checks while adding apache include file to the apache sysconfig
  file
- replace requires apache by http_daemon
* Sat Jun 21 2003 - lmuelle@suse.de
- update to version 1.1.1
- add missing directories
- use mktemp im %%post; add /bin/mktemp to PreReq
- use getent passwd otrs in %%post
- temporarily disable userdel in the %%postun
* Tue Mar 18 2003 - lmuelle@suse.de
- change group ownership for most files to root, #25543
- call hostname only if /etc/HOSTNAME exists and is greater than zero, #25495
* Tue Feb 18 2003 - lmuelle@suse.de
- add separate binaries to PreReq
- add missing files and directories to %%files section
- add informational message on stdout if installed without YaST
* Tue Feb 18 2003 - lmuelle@suse.de
- add patch to fix permission settings
- remove defattr from files section
* Mon Feb 17 2003 - lmuelle@suse.de
- check if ${RPM_BUILD_ROOT} is not / in %%clean section
* Tue Feb 11 2003 - lmuelle@suse.de
- update to version 1.0.1
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Tue Aug 06 2002 - kukuk@suse.de
- Fix Requires: perl-Syslog -> perl-Unix-Syslog
* Mon Aug 05 2002 - kukuk@suse.de
- Remove perl-Digest-MD5/perl-MIME-Base64 from Requires, they are
  now part of main perl package.
* Fri Jun 14 2002 - ro@suse.de
- always use macros when calling insserv
* Tue Mar 12 2002 - kukuk@suse.de
- Create the new user as system account in the free range 100-499
* Wed Feb 20 2002 - uli@suse.de
- initial package
